﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WTLV_NumberOfDaysVisible
{
    public partial class Form1 : Form
    {
        CustomCreationFilter filter;

        bool isFirstPaint = true;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;

            ultraCalendarInfo1.Owners.Add("Joe");
            ultraCalendarInfo1.Owners.Add("Kate");
            ultraCalendarInfo1.Owners.Add("Frank");
            filter = new CustomCreationFilter();
            ultraTimelineView1.CreationFilter = filter;

        }

        private void ultraTimelineView1_Paint(object sender, PaintEventArgs e)
        {
            if (isFirstPaint)
            {
                ultraTimelineView1.Width = (7 * ultraTimelineView1.ColumnWidthResolved) + 
                    filter.HeaderWidth + filter.ScrollBarWidth - 2;
                
                isFirstPaint = false;
            }
        }


    }
}
